Skip to main content
`Ctrl`+`K`

# FNViewFromOptions

View (print) an `FN` object based on values in the options database.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNViewFromOptions(FN fn,PetscObject obj,const char name[])

Collective

## Input Parameters

- fn - the math function context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

FN: Mathematical Functions, `FNView()`, `FNCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages